package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractrelationQueryRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【电子签约文件id】电子签约文件id 【作用】 查询需要获取已关联文件的电子签约文件
	ContractId *int64 `json:"contractId,omitempty"`
}

func (obj ContractrelationQueryRequest) GetUrl() string {
	return "/contractrelation/query"
}

func (obj ContractrelationQueryRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	return parameter
}
